#include <xtensa/coreasm.h>
#include <xtensa/corebits.h>
#include <xtensa/config/system.h>
#include "sdkconfig.h"
#include "soc/soc.h"


//Time, in CPU cycles, between interrupts
#define INT_DISTANCE_CYCLES 30


    .section .iram1,"ax"
    .global     xt_highint5
    .type       xt_highint5,@function
    .align      4
xt_highint5:
    esync
    rsr a0, CCOUNT
    addi a0, a0, INT_DISTANCE_CYCLES
    wsr a0, CCOMPARE2
    esync

.L_xt_highint5_exit:
    rsr     a0, EXCSAVE_5                   /* restore a0 */
    rfi     5

/* The linker has no reason to link in this file; all symbols it exports are already defined
   (weakly!) in the default int handler. Define a symbol here so we can use it to have the 
   linker inspect this anyway. */

    .global ld_include_intflooder_hdl
ld_include_intflooder_hdl:
